/*
 * ResourceKey.java
 *
 * Created on March 28, 2006, 9:50 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.plugin.locale;

/**
 *
 * @author gtoffoli
 */
public class ResourceKey {
    
    private String key = "";
    private boolean missing = false;
    
    /** Creates a new instance of ResourceKey */
    public ResourceKey() {
    }

    
    /** Creates a new instance of ResourceKey */
    public ResourceKey(String key, boolean missing) {
        this.key = key;
        this.missing = missing;
    }
    
    public ResourceKey(String key) {
        this(key, false);
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public boolean isMissing() {
        return missing;
    }

    public void setMissing(boolean missing) {
        this.missing = missing;
    }
    
    public String toString()
    {
        return getKey();
    }
}
